Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(34)

Issue 1457323004: Don't render border images when border-style is none (Closed)

Created:
3 years, 7 months ago by Savago
Modified:
3 years, 4 months ago
Reviewers:
Timothy Loh
CC:
chromium-reviews, blink-reviews, blink-reviews-style_chromium.org, cavalcantii, jchaffraix+rendering, pdr.
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Blink is non compliant to the css-backgrounds spec where a border with an image should not be rendered if no border style is defined. As this patch ensures that Blink will behave like FF and IE, previous border image tests had to be edited to ensure that border will be rendered. Relevant spec: http://www.w3.org/TR/css3-background/#border-images W3C test case: http://test.csswg.org/suites/css-backgrounds-3_dev/nightly-unstable/html4/border-image-slice-003.htm BUG=559258

Patch Set 1 #

Total comments: 6

Patch Set 2 : Addressing reviewer's requests. #

Patch Set 3 : Edits to more tests. #

Total comments: 4

Patch Set 4 : Adding rebaselines, changes on tests. #

Patch Set 5 : Fixed a few tests. #

Patch Set 6 : Last relevant test. #

Patch Set 7 : Rebased, removed unnecessary border colors, etc. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+121 lines, -14 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 1 chunk +34 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/css3/images/pixelated-border-image.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-01.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-border-radius.html View 1 2 3 4 5 6 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-longhand.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-massive-scale.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-outset.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-outset-in-shorthand.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-outset-split-inline.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-outset-split-inline-vertical-lr.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-repeat.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-repeat-round.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-rotate-transform.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-scale-transform.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-scaled.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-scrambled.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/borders/border-image-should-not-display.html View 1 2 3 1 chunk +21 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/borders/border-image-should-not-display-expected.html View 1 2 3 1 chunk +15 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-side-reduction.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-slice-constrained.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-slices.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-source.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/border-image-trumps-radius.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/borders/resources/red.png View Binary file 0 comments Download
M third_party/WebKit/LayoutTests/fast/borders/scaled-border-image.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/css/border-image-style-none.html View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/css/border-image-style-none-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/gradients/border-image-gradient.html View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/hidpi/image-set-border-image-comparison.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/hidpi/image-set-border-image-comparison-expected.html View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/images/webp-flip.html View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/repaint/border-outline-0.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/writing-mode/border-image-vertical-lr.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/writing-mode/border-image-vertical-rl.html View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/tracing/decode-resize.html View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/scrollbars/listbox-scrollbar-combinations.html View 1 2 3 4 5 6 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/svg/as-border-image/svg-as-border-image.html View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/svg/as-border-image/svg-as-border-image-2.html View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/style/BorderData.h View 1 2 chunks +5 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/style/BorderValue.h View 2 chunks +4 lines, -4 lines 0 comments Download

Messages

Total messages: 16 (2 generated)
Savago
Not for commit, it is missing rebaselines.
3 years, 7 months ago (2015-11-20 19:37:50 UTC) #2
Savago
Ref test: http://codepen.io/Savago/pen/yYrgyK
3 years, 7 months ago (2015-11-20 19:41:18 UTC) #3
Savago
I'm assuming that to have bots generating new rebaselines the only thing I need to ...
3 years, 7 months ago (2015-11-20 19:59:31 UTC) #4
Timothy Loh
IMO this could do with a better patch title, for example "Don't render border images ...
3 years, 7 months ago (2015-11-23 06:23:19 UTC) #5
Savago
Timothy Thanks for having a look on this, I will comment inline. > IMO this ...
3 years, 7 months ago (2015-11-23 18:52:01 UTC) #6
Savago
For reference, running fast/borders tests locally, I got: Regressions: Unexpected text-only failures (19) fast/borders/border-image-01.html [ ...
3 years, 7 months ago (2015-11-23 20:26:18 UTC) #8
Timothy Loh
On 2015/11/23 18:52:01, Savago wrote: > Timothy > > Thanks for having a look on ...
3 years, 7 months ago (2015-11-24 00:09:48 UTC) #9
Timothy Loh
https://codereview.chromium.org/1457323004/diff/40001/third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html File third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html (right): https://codereview.chromium.org/1457323004/diff/40001/third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html#newcode13 third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html:13: border-style: solid; put this under body > div, since ...
3 years, 7 months ago (2015-11-24 00:10:00 UTC) #10
Savago
https://codereview.chromium.org/1457323004/diff/40001/third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html File third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html (right): https://codereview.chromium.org/1457323004/diff/40001/third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html#newcode13 third_party/WebKit/LayoutTests/fast/borders/border-image-omit-right-slice.html:13: border-style: solid; Coolio. https://codereview.chromium.org/1457323004/diff/40001/third_party/WebKit/LayoutTests/scrollbars/listbox-scrollbar-combinations.html File third_party/WebKit/LayoutTests/scrollbars/listbox-scrollbar-combinations.html (right): https://codereview.chromium.org/1457323004/diff/40001/third_party/WebKit/LayoutTests/scrollbars/listbox-scrollbar-combinations.html#newcode290 third_party/WebKit/LayoutTests/scrollbars/listbox-scrollbar-combinations.html:290: ...
3 years, 7 months ago (2015-11-24 00:42:52 UTC) #11
davve
The description mentions that this patch aligns Blink with IE. This matches my testing too. ...
3 years, 7 months ago (2015-11-28 13:53:00 UTC) #12
Savago
Hi there, David Thanks for the input, I've tested on IE and not on Edge. ...
3 years, 7 months ago (2015-11-28 18:03:39 UTC) #13
Savago
3 years, 7 months ago (2015-12-01 17:37:16 UTC) #14
Savago
Touching the base on this, it still rebases cleanly and I feel that all pending ...
3 years, 7 months ago (2015-12-01 17:40:19 UTC) #15
cavalcantii1
3 years, 5 months ago (2016-02-03 23:33:48 UTC) #16
I'm closing this as I no longer have access to the @samsung account.

Development moved to:
https://codereview.chromium.org/1652813004/

Powered by Google App Engine
This is Rietveld 408576698